#include<iostream>
using namespace std;
bool sushtestvuvaLiZa(long long k, long long a, long long b)
{
    long long x=1,temp;
    while((k-(x*a))!=0)
    {
        temp=k-(x*a);
        if(temp%b==0) return 1;
        x++;
    }
    return 0;
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(nullptr);
    cout.tie(nullptr);
    long long a,b,L,br=0;
    cin>>a>>b>>L;
    for(int i=a+b; i<=L; i++)
    {
        if(!(sushtestvuvaLiZa(i,a,b))) br++;
    }
    cout<<br+(a+b-1)<<endl;
    return 0;
}
